PyroCMS v3.5 maintenant disponible - Voici comment installer / mettre à niveau sur Ubuntu 16.04 | 18.04 | 18.10

  • Ronald Ferguson
  • 0
  • 2598
  • 202

PyroCMS, un système de gestion de contenu (CMS) open source basé sur le framework PHP Laravel a récemment été mis à jour en version 3,5 et ce bref tutoriel montre aux étudiants et aux nouveaux utilisateurs comment l'installer ou le mettre à niveau sur Ubuntu 16.04 | 18.04 | 18.10… .

Cette version introduit un nouvel utilitaire de gestion des versions, des verrous de modification d'entrée et un module de blocs pour gérer votre contenu…

Une amélioration pour les balises et quelques corrections de bogues qui ont entraîné l'enregistrement de versions en double lors de la création des entrées sont également incluses ... Si vous n'avez pas mis à niveau votre PyroCMS, nous vous encourageons à le faire pour profiter de certaines des fonctionnalités les plus récentes avec cette version…

Pour plus d'informations sur cette version, veuillez consulter sa page de journal des modifications… Lorsque vous êtes prêt à installer ou à mettre à niveau PyroCMS, suivez les étapes ci-dessous:

Nous avons couvert l'installation de PyroCMS ici avec la prise en charge des serveurs HTTP Apache2 et Nginx… Si vous souhaitez apprendre comment installer ce CMS, veuillez vous référer aux liens ci-dessous:

Installation de PyroCMS sur Ubuntu avec prise en charge d'Apache2

Si vous souhaitez installer un nouvel environnement pour PyroCMS avec le support Apahce2, alors référez-vous au lien ci-dessous… Il vous montre comment installer PyroCMS avec le support Apache2 et PHP 7.1… Cependant, PyroCMS supporte désormais PHP 7.2, vous pouvez donc l'utiliser avec ceci installer…

Installez PyroCMS sur Ubuntu 16.04 | 17.10 | 18.04 avec Apache2, MariaDB et PHP7.1

Installation de PyroCMS avec la prise en charge de Nginx HTTP avec PHP 7.2-FPM

Pour ceux qui veulent exécuter PyroCMS avec un serveur Nginx à la place, la même chose devrait être utilisée ... Cela vous montre comment installer et configurer PyroCMS avec le support Nginx et PHP 7.1-FPM ... Mais vous pouvez également utiliser PHP 7.2-FPM ici ... .

Installer PyroCMS sur Ubuntu 16.04 | 17.10 | 18.04 avec support Nginx, MariaDB et PHP 7.1

Mise à niveau de PyroCMS

Si PyroCMS est déjà installé et que vous souhaitez mettre à niveau, suivez les étapes ci-dessous:

Pour mettre à niveau, copiez simplement le composer.json exigences du fichier composer de la branche 3.6 vers votre projet et mise à jour… Enfin, reflétez les modifications dans le fichier ci-dessous:

/var/www/html/pyrocms/public/public/index.php

mis en évidence dans le fichier ici:

https://github.com/pyrocms/pyrocms/blob/3.6/public/index.php#L50-L60
/ * | ----------------------------------------------- --------------------------- | Exécutez l'application | ---------------------------------------------- ---------------------------- | | Une fois que nous avons l'application, nous pouvons gérer la demande entrante | via le noyau et renvoyer la réponse associée à | le navigateur du client lui permettant de profiter de la création | et merveilleuse application que nous avons préparée pour eux. | * / $ kernel = $ app-> make (Illuminate \ Contracts \ Http \ Kernel :: class); $ kernel = \ Anomaly \ Streams \ Platform \ Http \ CacheKernel :: wrap ($ kernel); $ response = $ kernel-> handle ($ request = Illuminate \ Http \ Request :: capture ()); $ réponse-> envoyer (); $ kernel-> terminate ($ request, $ response); 

Copiez et remplacez les anciennes lignes par les lignes en surbrillance ci-dessus… Enregistrez le fichier et quittez…

Aucune migration nécessaire… .

C'est ça!




Personne n'a encore commenté ce post.

Une collection utiles sur le système Linux et les nouvelles technologies
Articles frais, conseils pratiques, critiques détaillées et guides. Sentez-vous comme chez vous dans le monde du système Linux